Subject: HD device names

From: [email-masked]
Date: Wed, 01 Apr 92 09:30:59 BST

I am not happy about the use of names such as hd2c for partition
c of disk 2.  In particular, since the number of partitions on
one disk currently allowed by the kernel is 60, this naming
scheme cannot be carried out consistently.  I know some people
will say that there is no practical chance of using more than
26 partitions on a given disk, but I am not so sure.
 
With the increase in size of disks, and with the possibility of
using small partitions for small bits of the file system, I think
we ought not short sightedly choose a naming convention which
is likely to be awkward in the mid-term future.
 
What is wrong with the current /dev/hda3?  It may not be BSDish,
but many existing Unixes are not.  And it does have the advantage
of existing!
 
     -- Owen
     [email-masked]